"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.formatGeneratedContent = void 0;
const prettier_1 = require("prettier");
async function formatGeneratedContent({ generatedFileContent, prettierConfigPath = '.prettierrc', }) {
    const prettierConfig = await (0, prettier_1.resolveConfig)(prettierConfigPath);
    // Format the file content using Prettier
    const formattedFileContent = (0, prettier_1.format)(generatedFileContent, {
        parser: 'typescript',
        ...(prettierConfig || {}),
    });
    return formattedFileContent;
}
exports.formatGeneratedContent = formatGeneratedContent;
