"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.toHookName = void 0;
const pluralize_1 = require("pluralize");
function toHookName({ tableName, operation }) {
    const pascalCaseTableName = tableName.replace(/(?:^|_)(\w)/g, (_, char) => char.toUpperCase());
    const singularTableName = operation === 'GetAll'
        ? (0, pluralize_1.plural)(pascalCaseTableName)
        : (0, pluralize_1.singular)(pascalCaseTableName);
    return `use${operation}${singularTableName}`;
}
exports.toHookName = toHookName;
